Loading...
Searching...
No Matches
libdar::Ebug Class Reference
API

exception used to signal a bug. A bug is triggered when reaching some code that should never be reached More...

`#include <erreurs.hpp>`

Inherits libdar::Egeneric.

## Public Member Functions

| Ebug (const std::string &file, S_I line)
| Ebug (const Ebug &ref)=default
| Ebug (Ebug &&ref)=default
Ebug & | operator= (const Ebug &ref)=default
Ebug & | operator= (Ebug &&ref)=default
void | stack (const std::string &passage, const std::string &file, const std::string &line)
void | stack (const std::string &passage, const std::string &message="")
| add more detailed couple of information to the exception
void | stack (const std::string &&passage, const std::string &&message="")
Public Member Functions inherited from libdar::Egeneric
| Egeneric (const std::string &source, const std::string &message)
| the constructor
| Egeneric (const Egeneric &ref)=default
| copy constructor
| Egeneric (Egeneric &&ref)=default
| move constructor
Egeneric & | operator= (const Egeneric &ref)=default
| assignment operator
Egeneric & | operator= (Egeneric &&ref) noexcept=default
| move operator
virtual | ~Egeneric ()=default
| the destructor
void | stack (const std::string &passage, const std::string &message="")
| add more detailed couple of information to the exception
void | stack (const std::string &&passage, const std::string &&message="")
const std::string & | get_message () const
| get the message explaing the nature of the exception
const std::string & | get_source () const
| get the call function which has thrown this exception
const std::string & | find_object (const std::string &location) const
| retrieve the objet (object) associated to a given "lieu" (location) from the stack
void | prepend_message (const std::string &context)
| prepend error message by the given string
std::string | dump_str () const
| return a string result of the exception information dump

## Protected Member Functions

virtual std::string | exceptionID () const override

## Detailed Description

exception used to signal a bug. A bug is triggered when reaching some code that should never be reached

Definition at line 162 of file erreurs.hpp.

## Member Function Documentation

## exceptionID()

virtual std::string libdar::Ebug::exceptionID | ( |  | ) | const

inline override protected virtual

Implements libdar::Egeneric.

Definition at line 176 of file erreurs.hpp.

## stack() [1/2]

void libdar::Egeneric::stack | ( | const std::string && | passage,
|  | const std::string && | message = "" )

inline

Definition at line 74 of file erreurs.hpp.

## stack() [2/2]

void libdar::Egeneric::stack | ( | const std::string & | passage,
|  | const std::string & | message = "" )

inline

add more detailed couple of information to the exception

Definition at line 73 of file erreurs.hpp.

The documentation for this class was generated from the following file:

- erreurs.hpp